package com.gxzc.zen.common.dto

import java.io.Serializable
import java.util.*

/**
 * 上传的文件信息(本地)
 * @author NorthLan
 * @date 2018/7/3
 * @url https://noahlan.com
 */
open class UploadFileInfo : Serializable {
    companion object {
        private const val serialVersionUID = 100000000000002L
    }

    /**
     * 当前虚拟文件名
     */
    var filename: String? = null
    /**
     * 真实文件名
     */
    var realFilename: String? = null
    /**
     * 原始文件名
     */
    var originFilename: String? = null
    /**
     * 虚拟相对路径
     */
    var relativePath: String? = null
    /**
     * 最后一次修改时间
     */
    var lastModified: Date? = null
    /**
     * 文件非完整md5(头+[尾]+修改时间)
     */
    var md5: String? = null
    /**
     * 后缀名
     */
    var extension: String? = null
    /**
     * 文件大小(byte)
     */
    var filesize: Long? = null

    ////////////////////// url
    var url: String? = null
}